- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ValidationError
- Try it!
Full name: projects.locations.instances.logTypes.parserExtensions.extensionValidationReports.validationErrors.list
List validation errors of a parser extension validation report.
HTTP request
GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/validationErrors Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of validation errors of parser validation report. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logtype}/parserExtensions/{parserExtension}/extensionValidationReports/{reportID}/validationErrors |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of validation reports to return. The service may return fewer than this value. |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for listing errors of parser validation report.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"validationErrors": [
{
object ( |
| Fields | |
|---|---|
validationErrors[] |
The validation errors of extension validation report |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.validationErrors.list
For more information, see the IAM documentation.
ValidationError
Validation error encountered while creating the parser extension.
| JSON representation |
|---|
{
"name": string,
"log": string,
"error": {
object ( |
| Fields | |
|---|---|
name |
Output only. The name of this Validation Error . Output only. The resource name of the extension validation report error. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parserExtensions/{parserExtension}/extensionValidationReports/{extensionValidationReport}/validationErrors/{errorID} |
log |
Output only. Log entry that caused the error. |
error |
Output only. Error message when normalizing the log. |